commit:     542aed991f1e4a7a642d852ccaec5e1e25a8c8e1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May  6 07:02:54 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May  6 07:32:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=542aed99

dev-python/hypothesis: Bump to 6.12.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                 |  1 +
 dev-python/hypothesis/hypothesis-6.12.0.ebuild | 61 ++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index dc026f5bd2f..4edb2e52fcd 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,5 +1,6 @@
 DIST hypothesis-python-6.10.0.tar.gz 9126095 BLAKE2B 
7dbcbb1d1099490c5329fb9a134b87449a8224565c4ccc88692c6cdedc847b0c3143b438f1d7bed98932ddfdf53fb5d09980ec0cc7d5e23fe60e651aef10ddbe
 SHA512 
a9ced1baccaa411c264aa02de3ebc2d76985b3f61a378f9ec413b510b7b16c40cc3072d0d042a03046593b303ee367f3dd34f8b09987a1b0fb97de77f6fe3e8d
 DIST hypothesis-python-6.10.1.tar.gz 9126246 BLAKE2B 
cc8cb3436d1de5d3d65a13cb5edefdbaae8bf9daed296eea9111ac46c002c34f43119f10b2ab1f45c5cbca5fe46d00738676290eb0e8437f2c10b5926d9e0915
 SHA512 
586b7f380cb850089f7d5321f11da92ef4a9b80e2ea925103e29c1f6c6c9da0a2a899a1a45ce77e0a40073f147561bc4fcbd5cb2ce77a9c0c65f6f64dfe4b716
+DIST hypothesis-python-6.12.0.tar.gz 9127949 BLAKE2B 
fae9be5f82362f46554e9912f34e7da06b2e8f8612428af7a8a77bda06e926b8c541e79c40a8aaab4a1d4d299cd947f2ffc92f44c8d569c185891e5b6aaac61e
 SHA512 
7eafa80a546d17cb5239caf3aa18df1a23caea3021fe9a8d1e180c85443920df44ab93a31c13192ea9856db6a1ee8d5af82f44dcbaefb6dba6c37ab63081e050
 DIST hypothesis-python-6.6.0.tar.gz 9117847 BLAKE2B 
bb88ebee9db53f1c5753730d04e5dfe6a39ac4c5f7d534778b22b813ba188a55de6ad8a34f611f7863d1c3287be39ed7e10981e9d6ed8d8dd106688f154c3a49
 SHA512 
a446b4a11c6ee013225bfcd58e26efc6c9d867545d9bcf90a19468cb01fc5e2c5a7280ff9a80d4a1adbfe06dd155df6152941d5f53869d85e1d259e68a33a5e2
 DIST hypothesis-python-6.8.1.tar.gz 9119495 BLAKE2B 
4d98e30a04f652af79dd49e921b856124a312b63f087a6fd200282e9b0a0cd6fcad1a42a6008406bc347f21bf9cd6c5ff2db79d013987281f59365bd9d91550d
 SHA512 
2f25e994438479b5faa15b2038146ab385445bf2722b0951ff55f324b074248d7322c4c6f3e9c659c18d0aa94150eea4c6567a7ac24debf2de4b32bab37a4dcc
 DIST hypothesis-python-6.8.9.tar.gz 9122168 BLAKE2B 
2568dcfcbc7182071247d0b7d978abf2184be4583937a42568c3e199eac6ce538adb7b3687747979fc6ab9da1e61088db7d1a01294982e75cb04992cdc10537a
 SHA512 
4dc3884e2487f27a3b6b362e04cecd281f9072fdd2e8e91738899baf589d6d48df9eeacb9a158251c20b210d1190b78eadd191aa95f151023bd81091131dff66

diff --git a/dev-python/hypothesis/hypothesis-6.12.0.ebuild 
b/dev-python/hypothesis/hypothesis-6.12.0.ebuild
new file mode 100644
index 00000000000..e8455f78614
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.12.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis 
https://pypi.org/project/hypothesis/";
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' python3_{7..9})
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               !!<dev-python/typing-3.7.4.1
+       )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+       if ! use cli || ! has "${EPYTHON}" python3_{7..9}; then
+               sed -i -e '/console_scripts/d' setup.py || die
+       fi
+}
+
+python_test() {
+       distutils_install_for_testing
+       epytest tests/cover tests/pytest tests/quality \
+               -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to